data:extend(
{
  {
    type = "item-subgroup",
    name = "bob-magenta-inserter",
    group = "bob-logistics",
    order = "c-d",
  },
  {
    type = "item",
    name = "magenta-inserter",
    icon = "__ExtraChests__/graphics/entity/inserter/icon/magenta-inserter.png",
    flags = {"goes-to-quickbar"},
    subgroup = "bob-magenta-inserter",
    order = "f[inserter]-f[purple-inserter-1-2]",
    place_result = "magenta-inserter",
    stack_size = 50
  },

  {
    type = "recipe",
    name = "magenta-inserter",
    enabled = "false",
    ingredients =
    {
      {"smart-inserter", 1},
      {"advanced-circuit", 2},
    },
    result = "magenta-inserter"
  },
  
  {
    type = "inserter",
    name = "magenta-inserter",
    icon = "__ExtraChests__/graphics/entity/inserter/icon/magenta-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "magenta-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      match_progress_to_activity = true,
      sound =
      {
        {
          filename = "__base__/sound/inserter-fast-1.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-2.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-3.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-4.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-5.ogg",
          volume = 0.75
        }
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    hand_size = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.25,
    rotation_speed = 0.1,
    pickup_position = {0, -1},
    insert_position = {0, 1.2},
    filter_count = 5,
    programmable = true,
    uses_arm_movement = "basic-inserter",
    smart_replaceable_group = "inserter",
    circuit_wire_max_distance = 7.5,
    circuit_wire_connection_point =
    {
      shadow =
      {
        red = {0, 0},
        green = {0, 0}
      },
      wire =
      {
        red = {0, 0},
        green = {0, 0}
      }
    },
    hand_base_picture =
    {
      filename = "__ExtraChests__/graphics/entity/inserter/magenta-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__ExtraChests__/graphics/entity/inserter/purple-inserter-hand-closed.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__ExtraChests__/graphics/entity/inserter/purple-inserter-hand-open.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },
    hand_base_shadow =
    {
      filename = "__ExtraChests__/graphics/entity/inserter/burner-inserter-hand-base-shadow.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_shadow =
    {
      filename = "__ExtraChests__/graphics/entity/inserter/burner-inserter-hand-closed-shadow.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },
    hand_open_shadow =
    {
      filename = "__ExtraChests__/graphics/entity/inserter/burner-inserter-hand-open-shadow.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },
    platform_picture =
    {
      sheet=
      {
        filename = "__ExtraChests__/graphics/entity/inserter/magenta-inserter-platform.png",
        priority = "extra-high",
        width = 46,
        height = 46
      }
    },
  },

  {
    type = "technology",
    name = "magenta-inserter",
    icon = "__ExtraChests__/graphics/entity/inserter/icon/magenta-inserter.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "magenta-inserter"
      },
    },
    prerequisites =
    {
      "advanced-electronics",
      "logistics"
    },
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1},
        {"science-pack-4", 1},
      },
      time = 50
    },
    upgrade = false,
    order = "a-f",
  },
}
)

